# OgreGpuProgram.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef SharedPtr< GpuProgramParameters > | GpuProgramParametersSharedPtr
| Shared pointer used to hold references to GpuProgramParameters instances.

## Enumerations

enum | GpuProgramType { GPT_VERTEX_PROGRAM, GPT_FRAGMENT_PROGRAM }
| Enumerates the types of programs which can run on the GPU. More...

## Typedef Documentation

typedef SharedPtr<GpuProgramParameters> Ogre::GpuProgramParametersSharedPtr

| Shared pointer used to hold references to GpuProgramParameters instances. Definition at line 895 of file OgreGpuProgram.h.

## Enumeration Type Documentation

enum Ogre::GpuProgramType

Enumerates the types of programs which can run on the GPU.

Enumeration values:

  GPT_VERTEX_PROGRAM |
  GPT_FRAGMENT_PROGRAM |

Definition at line 37 of file OgreGpuProgram.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006